package cpcns.dingZhi.dbf.service.impl;

package .tmp;

import cpcns.dangAnBase.base.service.impl.DangAnBaseServiceImpl;
import cpcns.dingZhi.dbf.dao.DDBFMoBanDao;
import cpcns.dingZhi.dbf.model.DDBFMoBan;
import cpcns.dingZhi.dbf.service.DDBFMoBanService;
import cpcns.utils.CommStatic;
import cpcns.utils.PagerVO;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service("ddbfMoBanService")
public class DDBFMoBanServiceImpl extends DangAnBaseServiceImpl<DDBFMoBan> implements DDBFMoBanService {
  @Autowired
  private DDBFMoBanDao ddbfMoBanDao;
  
  public PagerVO query_SQL(Integer start, Integer rows, String table, Map<String, Object> map, String orderbysql) throws Exception {
    Map<String, Object> tp = new HashMap<>();
    StringBuffer sql = (new StringBuffer(" select hangBiaoShi,moBanMingCheng,mbQuanZongHao,muBiaoBiaoMing,yuanWenLeiXing,baoGuanBuMenBiaoShi,baoGuanBuMenMingCheng,ZiDuanYingShe,createTime,mbZhuangTai,deleteTime,beiZhu,beiYongZiFu,beiYongZi from ")).append(table).append(" where 1=1 ");
    Object para = null;
    para = map.get("querystr");
    if (para != null && para != "") {
      Object menLei = map.get("menLei");
      if (menLei != null && menLei != "") {
        sql.append(" and menLei =:menLei");
        tp.put("menLei", menLei);
      } 
      CommStatic.zhuHeQueryJieXi_map(sql, tp, para.toString(), (String)map.get("zuHeType"), getDataType());
    } else {
      para = map.get("moBanMingCheng");
      if (para != null && para != "") {
        sql.append(" and moBanMingCheng like :moBanMingCheng");
        tp.put("moBanMingCheng", "%" + para + "%");
      } 
      para = map.get("mbQuanZongHao");
      if (para != null && para != "") {
        sql.append(" and mbQuanZongHao like :mbQuanZongHao");
        tp.put("mbQuanZongHao", "%" + para + "%");
      } 
      para = map.get("yuanWenLeiXing");
      if (para != null && para != "") {
        sql.append(" and yuanWenLeiXing=:yuanWenLeiXing");
        tp.put("yuanWenLeiXing", para);
      } 
      para = map.get("mbZhuangTai");
      if (para != null && para != "") {
        sql.append(" and mbZhuangTai =:mbZhuangTai");
        tp.put("mbZhuangTai", para);
      } 
      para = map.get("baoGuanBuMenMingCheng");
      if (para != null && para != "") {
        sql.append(" and baoGuanBuMenMingCheng=:baoGuanBuMenMingCheng");
        tp.put("baoGuanBuMenMingCheng", para);
      } 
      para = map.get("muBiaoBiaoMing");
      if (para != null && para != "") {
        sql.append(" and muBiaoBiaoMing=:muBiaoBiaoMing");
        tp.put("muBiaoBiaoMing", para);
      } 
      para = map.get("createTime");
      if (para != null && para != "") {
        sql.append(" and createTime =:createTime");
        tp.put("createTime", para);
      } 
    } 
    return this.ddbfMoBanDao.querySQL(start, rows, sql.toString(), tp, orderbysql);
  }
  
  public List<?> getMoBanMingCheng(String mingCheng) {
    String sql = "select * from  D_DBFMOBAN  where MOBANMINGCHENG like '%" + mingCheng + "%'";
    return this.ddbfMoBanDao.getList(sql);
  }
}
